<nav class="navbar navbar-dark navbar-expand-md bg-dark">
    <a class="navbar-brand logo" routerLink="/" (click)="collapseNavbar()">
        <span class="logo-img"></span>
        <span jhiTranslate="global.title" class="navbar-title">SearchOfSkills</span> <span class="navbar-version">{{ version }}</span>
    </a>
    <a class="navbar-toggler d-lg-none" href="javascript:void(0);" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation" (click)="toggleNavbar()">
        <fa-icon icon="bars"></fa-icon>
    </a>
    <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed" [ngSwitch]="isAuthenticated()">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
                    <span>
                        <fa-icon icon="home"></fa-icon>
                        <span jhiTranslate="global.menu.home">Home</span>
                    </span>
                </a>
            </li>
            <li *jhiHasAnyAuthority="'ROLE_ADMIN'" class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link" routerLink="admin/candidate-management/create" (click)="collapseNavbar()">
                    <span>
                        <fa-icon [icon]="faPlusCircle"></fa-icon>
                        <span jhiTranslate="global.menu.createCandidate">create candidate</span>
                    </span>
                </a>
            </li>
            <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
            <li *jhiHasAnyAuthority="'ROLE_ADMIN'" ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu">
                    <span>
                        <fa-icon icon="user-plus"></fa-icon>
                        <span jhiTranslate="global.menu.admin.main">Administration</span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
                    <li>
                        <a class="dropdown-item" routerLink="admin/user-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.userManagement">User management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/recipient-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.recipientManagement">Recipient list</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/email-template-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.emailTemplateManagement">emailTemplateManagement</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/cronjob-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.cronjobManagement">Cronjob management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/archive-cronjob-management/archive" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.archiveCronjobManagement">Archive Cronjob management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/email-tracking-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.emailStatusManagement">Email status management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/email-tracking-management/archive" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.archiveEmailStatusManagement">Archive email status management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/tag-management/tag" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.tagManagement">Tag management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/tag-management/block" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.blockTagManagement">Block tag management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/category-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.categoryManagement">Category management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/employer-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.employerManagement">Employer management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/country-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.countryManagement">Country management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/region-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.regionManagement">Region management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/managerial-position" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.managerialPosition">Managerial position</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/business-areas" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.businessAreas">Business Areas</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/candidate-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.candidateManagement">Candidate management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/word-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.wordManagement">Work management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/tracker" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.tracker">User tracker</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/metrics" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.metrics">Metrics</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/health" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.health">Health</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/configuration" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.configuration">Configuration</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/audits" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.audits">Audits</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/logs" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.logs">Logs</span>
                        </a>
                    </li>
                    <li *ngIf="swaggerEnabled">
                        <a class="dropdown-item" routerLink="admin/docs" routerLinkActive="active" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.apidocs">API</span>
                        </a>
                    </li>
                    <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
                    <li *ngIf="!inProduction">
                        <a class="dropdown-item" href='./h2-console' target="_tab" (click)="collapseNavbar()">
                            <span jhiTranslate="global.menu.admin.database">Database</span>
                        </a>
                    </li>
                </ul>
            </li>
            <li ngbDropdown class="nav-item dropdown pointer" display="dynamic" *ngIf="languages && languages.length > 1">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="languagesnavBarDropdown">
                    <span>
                        <fa-icon icon="flag"></fa-icon>
                        <span jhiTranslate="global.menu.language">Language</span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="languagesnavBarDropdown">
                    <li *ngFor="let language of languages">
                        <a class="dropdown-item" [jhiActiveMenu]="language" href="javascript:void(0);" (click)="changeLanguage(language);collapseNavbar();">{{ language | findLanguageFromKey }}</a>
                    </li>
                </ul>
            </li>
            <li ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu">
                    <span *ngIf="!getImageUrl()">
                        <fa-icon icon="user"></fa-icon>
                        <span jhiTranslate="global.menu.account.main">
                            Account
                        </span>
                    </span>
                    <span *ngIf="getImageUrl()">
                        <img [src]="getImageUrl()" class="profile-image rounded-circle" alt="Avatar">
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="account-menu">
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" routerLink="account/settings" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="wrench" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.settings">Settings</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" routerLink="account/password" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="lock" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.password">Password</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" (click)="logout()" id="logout">
                            <fa-icon icon="sign-out-alt" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.logout">Sign out</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="false">
                        <a class="dropdown-item" (click)="login()" id="login">
                            <fa-icon icon="sign-in-alt" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.login">Sign in</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="false">
                        <a class="dropdown-item" routerLink="account/register" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="user-plus" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.register">Register</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</nav>
